package jp.ac.osaka_u.ist.sel.similarity.cli;

import java.util.Date;

import jp.ac.osaka_u.ist.sel.similarity.csv.CsvWriterMain;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;

public class CliMain {
    private static Logger _log = Logger.getLogger("CliMain");

    /**
     * @param args
     */
    public static void main(String[] args) {
        BasicConfigurator.configure();
        _log.setLevel(Level.INFO);

        long time = 0;

        try {
            time = (new Date()).getTime();
            CsvWriterMain.main(args);
            time = (new Date()).getTime() - time;
            _log.info("register: " + time + " msec.");
        } catch (Throwable e) {
            e.printStackTrace(System.err);
            return;
        }
    }

}
